## @section Global parameters
## @param global.imageRegistry Global Docker Image registry
## @param global.imageTag Global Docker Image tag
## @param global.imagePullSecrets Global image pull secrets
global:
  imageRegistry: ""
  imageTag: ""
  imagePullSecrets: []

## @section Deployment Parameters
## @param replicaCount Number of controller replicas
replicaCount: 1

## @param image.registry Image registry (ignored if 'global.imageRegistry' is set)
## @param image.repository Image repository of the docs API.
## @param image.tag Image tag (ignored if 'global.imageTag' is set). When set to null, the AppVersion from the chart is used
## @param image.pullPolicy Image pull policy
## @param image.pullSecrets Secrets for the image repository
image:
  registry: docker.io
  repository: federatedserviceconnectivity/docs
  tag: ""
  pullPolicy: Always
  pullSecrets: []


## @param serviceAccount.create Specifies whether a service account should be created
## @param serviceAccount.annotations Annotations to add to the service account
## @param serviceAccount.name The name of the service account to use. If not set and create is true, a name is generated using the fullname template
serviceAccount:
  create: true
  annotations: {}
  name: ""

## @param podSecurityContext Security context for the pod
podSecurityContext: {}

## @param securityContext.runAsNonRoot Run container as a non-root user
## @param securityContext.runAsUser Run container as specified user
## @param securityContext.capabilities.drop Drop all capabilities by default
securityContext:
  runAsNonRoot: true
  runAsUser: 1001
  capabilities:
    drop:
      - "ALL"

## @param resources Pod resource requests & limits
resources: {}

## @param nodeSelector Node labels for pod assignment
nodeSelector: {}

## @param tolerations Node tolerations for pod assignment
tolerations: []

## @param affinity Node affinity for pod assignment
affinity: {}

## @section Common Parameters
## @param nameOverride Override deployment name
## @param fullnameOverride Override full deployment name
nameOverride: ""
fullnameOverride: ""

## @section Exposure parameters
## @param service.type Service Type (ClusterIP, NodePort, LoadBalancer)
## @param service.port Port exposed by the docs service
service:
  type: ClusterIP
  port: 80

## @param ingress.enabled Enable ingress
## @param ingress.class Ingress class
## @param ingress.annotations Ingress annotations
## @param ingress.hosts Ingress accepted hostnames
## @param ingress.tls Ingress TLS configuration
ingress:
  enabled: false
  class: ""
  annotations: {}
  hosts: []
  tls: []
    # - secretName: chart-example-tls
    #   hosts:
    #     - chart-example.local
